[PATCH v1 07/11] selftests: forwarding: ip6gre_inner_v4_multipath.sh: add cleanup for SIGTERM sent by timeout

From: Mirsad Todorovac
Date: Fri Jul 21 2023 - 20:37:45 EST


Add trap and cleanup for SIGTERM sent by timeout and SIGINT from
keyboard, for the test times out and leaves incoherent network stack.

Fixes: 2800f2485417a ("selftests: forwarding: Test multipath hashing on inner IP pkts for GRE tunnel")
Cc: Stephen Suryaputra <ssuryaextr@xxxxxxxxx>
Cc: Ido Schimmel <idosch@xxxxxxxxxx>
Cc: netdev@xxxxxxxxxxxxxxx
---
.../selftests/net/forwarding/ip6gre_inner_v4_multipath.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/forwarding/ip6gre_inner_v4_multipath.sh b/tools/testing/selftests/net/forwarding/ip6gre_inner_v4_multipath.sh
index a257979d3fc5..093cae3c2a49 100755
--- a/tools/testing/selftests/net/forwarding/ip6gre_inner_v4_multipath.sh
+++ b/tools/testing/selftests/net/forwarding/ip6gre_inner_v4_multipath.sh
@@ -295,7 +295,7 @@ multipath_ipv4()
multipath4_test "Weighted MP 11:45" 11 45
}

-trap cleanup EXIT
+trap cleanup INT TERM EXIT

setup_prepare
setup_wait
--
2.34.1